import type { LogOptions } from '../logger';
interface BundleStats {
    size: number;
    gzipSize: number;
}
interface URLStats {
    dynamicImports: Set<string>;
    stats: BundleStats[];
}
export declare type BundleStatsMap = Map<string, BundleStats>;
export declare type URLStatsMap = Map<string, URLStats>;
export declare function createURLStats(): URLStatsMap;
export declare function createBundleStats(): BundleStatsMap;
export declare function addBundleStats(bundleStatsMap: BundleStatsMap, code: string, filename: string): Promise<void>;
export declare function mapBundleStatsToURLStats(urlStats: URLStatsMap, importsToUrl: Map<string, Set<string>>, bundleStats: BundleStatsMap): void;
export declare function logURLStats(logging: LogOptions, urlStats: URLStatsMap, builtURLs: string[]): void;
export {};
